# Interface methods for submodule: MovingHistogramImageFilterBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import KernelImageFilterProxy as _KernelImageFilterProxy


# Interface methods for class: MovingHistogramImageFilterBase
class MovingHistogramImageFilterBaseProxy(_KernelImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetKernel(self, kernel) -> None:
		""""""
		...

	@overload
	def SetKernel(self, kernel: FlatStructuringElement) -> None:
		""""""
		...

	def GetPixelsPerTranslation(self) -> int:
		""""""
		...

